#ifndef _ACPI_H_
#define _ACPI_H_

/* Sets the ACPI throttling state.
 * Returns OKVAL on success, ERRVAL on failure. */
int set_acpi(int newacpi);

/* Returns the current ACPI throttling state or ERRVAL on failure. */
int get_acpi(void);

/* Checks if we're running on AC power.
 * Returns 1 if so, 0 if on battery and ERRVAL on error. */
int get_ac(void);

#endif
